package org.jeecg.modules.app.controller;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.app.dto.UserWechatRegisterDTO;
import org.jeecg.modules.app.service.IUserService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

@Slf4j
@Tag(name = "App用户相关接口")
@RestController
@RequestMapping("/app/user")
public class AppUserController {
    @Resource
    private IUserService userService;
    /**
     * 微信小程序获取用户信息接口
     *
     * @param request               请求
     * @param userWechatRegisterDTO {@link UserWechatRegisterDTO}
     * @return {@link Result}<{@link ?}>
     */
    @PostMapping("/wechatRegister")
    public Result<?> wechatInfo(@RequestBody UserWechatRegisterDTO userWechatRegisterDTO, HttpServletRequest request){
        return Result.ok(userService.wechatInfo(userWechatRegisterDTO, request));
    }
}
